﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.85
@EndOfDesignText@
#Region Shared Files
'#CustomBuildAction: folders ready, %WINDIR%\System32\Robocopy.exe,"..\..\Shared Files" "..\Files"
'Ctrl + click to sync files: ide://run?file=%WINDIR%\System32\Robocopy.exe&args=..\..\Shared+Files&args=..\Files&FilesSync=True
#End Region

'Ctrl + click to export as zip: ide://run?File=%B4X%\Zipper.jar&Args=Project.zip

Sub Class_Globals
	Private Root As B4XView
	Private fx As JFX
	Private xui As XUI
	Private pnlGrid, pnlDrawing As B4XView
	Private cvsGrid, cvsDrawing As B4XCanvas
	Private ColorBall = xui.Color_Red As Int
	Private ox, oy, nx, ny As Double
'	Private BallWidth, BallHeight, BallRadius As Double
	Private BallRadius As Double
	Private indent As Int=30
End Sub

Public Sub Initialize
'	B4XPages.GetManager.LogEvents = True
End Sub

'This event will be called once, before the page becomes visible.
Private Sub B4XPage_Created (Root1 As B4XView)
	Root = Root1
	Root.LoadLayout("MainPage")
	
	cvsGrid.Initialize(pnlGrid)
	cvsDrawing.Initialize(pnlDrawing)
'	BallWidth=10
'	BallHeight=10
	BallRadius = 5
	ox = pnlDrawing.Width / 2
	oy = pnlDrawing.Height / 2
	cvsDrawing.DrawCircle(ox, oy, BallRadius, ColorBall, True, 1)
	DrawGrid
End Sub

'You can see the list of page related events in the B4XPagesManager object. The event name is B4XPage.

Sub DrawGrid
	For c = 1 To Floor(pnlGrid.Width / indent) - 1
		'Draw Y-Lines
		cvsGrid.DrawLine(indent * c, indent, indent * c, pnlGrid.Height - indent, xui.Color_Black, 1)
		'Draw X-Lines
		cvsGrid.DrawLine(indent, indent * c, pnlGrid.Width - indent, indent * c, xui.Color_Black, 1)
	Next
End Sub

Private Sub pnlDrawing_Touch (Action As Int, X As Float, Y As Float)
	Select Action
		Case pnlGrid.TOUCH_ACTION_DOWN
			DrawBall(X, Y)
		Case pnlGrid.TOUCH_ACTION_MOVE
			DrawBall(X, Y)
		Case pnlGrid.TOUCH_ACTION_UP
	End Select
End Sub

Private Sub DrawBall(X As Int, Y As Int)
	nx = Min(Max(X, indent), pnlDrawing.Width - indent)
	ny = Min(Max(Y, indent), pnlDrawing.Height - indent)
'	cvsDrawing.ClearRect(cvsDrawing.TargetRect)
	Private rect As B4XRect
	rect.Initialize(ox - BallRadius, oy - BallRadius, ox + BallRadius, oy + BallRadius)
	cvsDrawing.ClearRect(rect)
	cvsDrawing.DrawCircle(nx, ny, BallRadius,ColorBall, True, 1)
	ox = nx
	oy =ny
End Sub 